org.apache.pdfbox.io

## Interface RandomAccessStreamCache

All Superinterfaces:
  AutoCloseable, Closeable

All Known Implementing Classes:
  RandomAccessStreamCacheImpl, ScratchFile

    public interface RandomAccessStreamCache
    extends Closeable

An interface describing a StreamCache to be used when creating/writing streams of a PDF.

### Nested Class Summary

Nested Classes
`static interface` `RandomAccessStreamCache.StreamCacheCreateFunction`

### Method Summary

All Methods Instance Methods Abstract Methods
`RandomAccess` `createBuffer()` Creates an instance of a buffer implementing the interface org.apache.pdfbox.io.RandomAccess.

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### createBuffer

    RandomAccess createBuffer()
                       throws IOException

Creates an instance of a buffer implementing the interface org.apache.pdfbox.io.RandomAccess. The caller should close the buffer after usage otherwise the buffer shall be closed once the underlying RandomAccessStreamCache is closed.

Returns:
  the instance of the buffer
Throws:
  `IOException` - if something went wrong